import QtQuick 2.0
import Sailfish.Silica 1.0
//import "../../helpers/jsFunctions.js" as JS

BackgroundItem {
    id: delegate
    width: parent.width / 2;
    height: Theme.itemSizeExtraSmall
    ButtonRect {fill: false}
    Image {
        id: countryImage
        height: parent.height * 0.6
        fillMode: Image.PreserveAspectFit
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: parent.left
        anchors.leftMargin: Theme.paddingLarge
        source: "../flags/"+alpha_2.toLowerCase()+".png"
    }

    Label {
        id: land
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: countryImage.right
        anchors.leftMargin: Theme.paddingMedium
        color: delegate.highlighted ? Theme.highlightColor : Theme.primaryColor
        font.pixelSize: Theme.fontSizeSmall;
        width: parent.width - countryImage.width - Theme.paddingMedium - (Theme.paddingLarge * 2)
        elide: Text.ElideRight
        text: radioBrowser.getCountryName(alpha_2)
    }
}
